%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pkgname SimPy

Name:		python-simpy
Version:	1.8
Release:	1%{?dist}
Summary:	Python simulation framework
Group:		Development/Languages
License:	LGPL
URL:		http://simpy.sourceforge.net
Source0:	http://dl.sf.net/simpy/SimPy-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel
Requires:	tkinter

%description
SimPy (= Simulation in Python) is an object-oriented, process-based
discrete-event simulation language based on standard Python. It
provides the modeler with components of a simulation model including
processes, for active components like customers, messages, and
vehicles, and resources, for passive components that form limited
capacity congestion points like servers, checkout counters, and
tunnels. It also provides monitor variables to aid in gathering
statistics. Random variates are provided by the standard Python random
module.

%package doc
Group: Documentation
Summary: Source code documentation for SimPy

%description doc
SimPy (= Simulation in Python) is an object-oriented, process-based
discrete-event simulation language based on standard Python.  This
package contains the source code documentation.


%prep
%setup -q -n %{pkgname}-%{version}
# Remove the shebangs to make rpmlint happy
sed -i -e '/^#!.*python/,1D' SimPy/*.py

# Remove carriage returns to make rpmlint happy
sed -i 's/\r//' SimPy/*.py

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/%{pkgname}/
# choose html over txt files for documentation
%doc *.html PKG-INFO LGPLlicense_files SimPyModels
%doc SimPyDocs/*.html SimPyDocs/*.css SimPyDocs/*.pdf SimPyDocs/*.xls
%doc SimPyDocs/bankprograms SimPyDocs/images SimPyDocs/Interfacing SimPyDocs/SimGUIManual SimPyDocs/SimPlotManual SimPyDocs/SimStepManual


%files doc
%defattr(-,root,root)
%doc SimPyDocs/SimPy_Sourcecode_Documentation/


%changelog
* Mon Feb 12 2007 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.8-1
- Update to 1.8

* Mon Jan 22 2007 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.8-0.1.rc1
- Update to 1.8rc.

* Sat Dec  9 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-5
- Rebuild for rawhide.

* Wed Sep  6 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-4
- Un-ghost .pyo files. Thanks Christian Iseli (bug #205424).

* Tue Aug 29 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-3
- Bump release for FC6 rebuild.

* Mon Jun 19 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-2
- SimPy-1.7.1
- Bump release

* Fri Mar 24 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7-3
- Bump release to make tag for building.

* Fri Mar 24 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7-2
- Bump release

* Thu Mar 23 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7-1
- SimPy-1.7
- Drop shebang removal patch.  Implement it with sed script.

* Mon Feb 20 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-4
- Rebuild for FC5.

* Mon Dec 26 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-3
- Add dist in release. Bump release.

* Wed Dec 21 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-2
- Add source code documentation as a -doc package (John Mahowald).
- Add Requires: tkinter for SimGUI to work (John Mahowald).
 
* Fri Nov 25 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-1
- First packaging version for FE.
